import { Vue } from "vue-property-decorator";
import DeliveryCalculatorStore from "../utils/DeliveryCalculatorStore";
import Currency from "../dto/Currency";
export default class CurrencySelect extends Vue {
    calculatorStore: DeliveryCalculatorStore;
    currencies: Currency[];
    created(): void;
    get options(): {
        label: string;
        value: Currency;
    }[];
    get currency(): Currency;
    set currency(currency: Currency);
    change(): boolean;
}
